<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/ASG/Dictionary.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.ASG.Dictionary</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../Synopsis.html" >Synopsis</a>.<a href="../ASG.html" >ASG</a>
</div><div class="class-name">class Dictionary

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/ASG.py.html" target="detail">../Synopsis/ASG.py</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Dictionary" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line214" ><img src="../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Dictionary-inheritance" src="Dictionary-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Dictionary-inheritance_map" />
<map name="Dictionary-inheritance_map"></map>
 <div class="doc">Dictionary extends the builtin 'dict' by adding a lookup method to it.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Dictionary.html#lookup" >lookup</a></span>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">scopes</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Dictionary.lookup" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line217" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Dictionary.html#merge" >merge</a></span>(<span class="variable">self</span>, <span class="variable">dict</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Dictionary.merge" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line229" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">merge in a foreign dictionary&#44; overriding already defined types only
        if they are of type 'Unknown'.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="lookup">lookup</a>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">scopes</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Dictionary.lookup" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line217" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">locate 'name' in one of the scopes</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="merge">merge</a>(<span class="variable">self</span>, <span class="variable">dict</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis.ASG.Dictionary.merge" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/ASG.py.html#line229" ><img src="../../../src-py.png" alt="source code"/></a></div> <div class="doc">merge in a foreign dictionary&#44; overriding already defined types only
        if they are of type 'Unknown'.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:52 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
